#ifndef CSTRIKE_H
#define CSTRIKE_H
//-----------------------------------------------------------------------------
#include "vector.h"
#include "list.cpp"
//-----------------------------------------------------------------------------
// weapon IDs...
#define CSW_P228		1
#define CSW_SCOUT		3
#define CSW_HEGRENADE	4
#define CSW_XM1014		5
#define CSW_C4			6
#define CSW_MAC10		7
#define CSW_AUG			8
#define CSW_SMOKEGRENADE	9
#define CSW_ELITE		10
#define CSW_FIVESEVEN	11
#define CSW_UMP45		12
#define CSW_SG550		13
#define CSW_GALI		14
#define CSW_GALIL		14
#define CSW_FAMAS		15
#define CSW_USP			16
#define CSW_GLOCK18		17
#define CSW_AWP			18
#define CSW_MP5NAVY		19
#define CSW_M249		20
#define CSW_M3			21
#define CSW_M4A1		22
#define CSW_TMP			23
#define CSW_G3SG1		24
#define CSW_FLASHBANG	25
#define CSW_DEAGLE		26
#define CSW_SG552		27
#define CSW_AK47		28
#define CSW_KNIFE		29
#define CSW_P90			30
#define CSW_VEST		31
#define CSW_VESTHELM	32
//-----------------------------------------------------------------------------
class CSmokePuff
{
	float m_fTTD; // worldtime to destroy
public:	
	int m_iEntId;
	Vector m_vecOrigin;

	CSmokePuff();
	CSmokePuff(const Vector&, int index=0);
	CSmokePuff(const Vector &vec, edict_t *edict);

	void UpdateTTD(void);
	bool KillMe(void);
};
struct SSmokePuffItem: public SListItem<CSmokePuff> {};
class CSmokePuffList: public CDataList<SSmokePuffItem> {};

extern cvar_t *axn_smokeradius;
extern cvar_t *axn_smokevradius;
extern cvar_t *axn_smokegasp;
extern cvar_t *axn_gasimpacttreshold;
extern cvar_t *axn_gasdamage;
extern cvar_t *axn_gasimpactcycle;
extern cvar_t *axn_gasrestoredamage;
extern cvar_t *axn_gasnaderadius;

extern CSmokePuffList *g_pSmokePuffList;

void CS_PlayerThink(edict_t *pEntity);
extern bool isGrenade(edict_t *pEnt);
//-----------------------------------------------------------------------------
#endif
