#ifndef USERMSG_H
#define USERMSG_H

#include "vector.h"

typedef bool (*pfnMsgFunc)(void*);
typedef void (*pfnSendTracer)(int, edict_t*, Vector&, Vector&, bool&);

extern int gmsgScreenShake;
extern int gmsgScreenFade;
extern int gmsgStatusText;
extern int gmsgDamage;
extern int gmsgCurWeapon;
extern int gmsgWeaponList;
extern int gmsgHudText;
extern int gmsgSayText;
extern int gmsgTextMsg;

extern pfnMsgFunc MsgFunc;

bool MsgFunc_Void(void *value);
bool MsgFunc_CurWeapon(void *value);
bool MsgFunc_Damage(void *value);
bool MsgFunc_ScreenFade(void *value);
bool MsgFunc_StatusText(void *value);
bool MsgFunc_WeaponList(void *value);
bool MsgFunc_TextMsg(void *value);

#endif // USERMSG_H
