#include "axn_plugin.h"
#include "scriplib.h"
#include "entity.h"

#pragma warning(disable:4127) // disable warnings
#pragma warning(disable:4710) // disable 'function X not inlined'


// not used within this module (TODO: move to proper module)
bool bSpawn = false; // flag: worldspawn initialized? (see dllapi.cpp)

// not used within this module (TODO: move to proper module)
int g_msg_dest,
	g_msg_index,
	g_msg_type;

player_extra_info_t
	g_PlayerInfo[MAX_PLAYERS+1];
//-----------------------------------------------------------------------------
// this is called when "hl" physkey is initialized, 
// i.e. on player spawn & restore
void Restore(edict_t *pEntity)
{
	// NOTE: sj - is an existent physics key
	if(axn_longjump->value > 0.0)
	{
		g_engfuncs.pfnSetPhysicsKeyValue(pEntity, "slj", "1");
	}
	else
	{
		g_engfuncs.pfnSetPhysicsKeyValue(pEntity, "slj", "0");
	}
	
	// NOTE: bj & ja - are completely new physics keys
	if(axn_bunnyjump->value == 1.0)
	{
		g_engfuncs.pfnSetPhysicsKeyValue(pEntity, "bj", "1"); // enable bunnyhop
	}
	else
	{
		g_engfuncs.pfnSetPhysicsKeyValue(pEntity, "bj", "0");
	}
	
	float fTemp = axn_jumpability->value;
	if(fTemp < 1.0)	fTemp = 1.0;
	g_engfuncs.pfnSetPhysicsKeyValue(pEntity, "ja", UTIL_VarArgs("%f", fTemp));

	int pid = ENTINDEX(pEntity); // player id
	
	g_PlayerInfo[pid].smkdmg = 0.0;
	g_PlayerInfo[pid].last_pvoice_time = 0.0;
	pEntity->v.health = axn_starthealth->value;
	pEntity->v.max_health = axn_starthealth->value;
}
//-----------------------------------------------------------------------------
float SetTimer(float timeout) // timeout in sec
{
	if(timeout < 0.1) timeout = 0.1;
	
	return gpGlobals->time + timeout;
}
//-----------------------------------------------------------------------------
// check for/execute cmd supported by this plugin
// TODO: move to dllapi.cpp?
bool check_cmd(edict_t *pEntity)
{
	// int i; //for loop
	char pcmd[256]="";
	char arg1[256]="";
	char arg2[256]="";
	char arg3[256]="";
	
	strcpy(pcmd, CMD_ARGV(0));
	strcpy(arg1, CMD_ARGV(1));
	strcpy(arg2, CMD_ARGV(2));
	strcpy(arg3, CMD_ARGV(3));
	
	int argc = CMD_ARGC();

	/*	NOTE: only one complex command is supported:
			say ent [classname|origin|add|delete|search <classname>]
		It works under windows listen server only.
		PS. This information need to be updated!
	*/

#ifndef __linux__
	if((gpGlobals->deathmatch) && (!IS_DEDICATED_SERVER()) &&
		(pEntity == listenserver_edict))
	{
		if(strcmp(pcmd,"say") == 0)
		{
			if(argc == 2)
			{
				ParseFromMemory((char *)arg1, strlen(arg1));
				if(GetToken(true))
				{
					strcpy(arg1,token);
					argc=2;
				}
				if(GetToken(true))
				{
					strcpy(arg2,token);
					argc=3;
				}
				if(GetToken(true))
				{
					strcpy(arg3,token);
					argc=4;
				}
			}

			if(strcmp(arg1, "ent") == 0 && argc >= 3)
			{
				static epair_t *e;
				static Vector org,vmin,vmax;
				bool bkey=false;
				entity_t *mapent=&entities[num_entities];
				if(argc==4)
				{
					if(strcmp(arg2,"classname")==0)
					{
						e=mapent->epairs;
						while(e)
						{
							mapent->epairs=e->next;
							if(e->key&&e->key!=NULL)free(e->key);
							if(e->value&&e->value!=NULL)free(e->value);
							if(e&&e!=NULL)free(e);
							e=0;
							e=mapent->epairs;
						}
						if(!GetProcAddress(GetModuleHandle("metamod.dll"), arg3))return false;
						e=(epair_t *)malloc(sizeof(epair_t));
						memset(e, 0, sizeof(epair_t));
						e->key=copystring("classname");
						e->value=copystring((char *)arg3);
						e->next=mapent->epairs;
						mapent->epairs=e;
						char origin[20];
						int x=pEntity->v.origin.x,y=pEntity->v.origin.y,z=pEntity->v.origin.z;
						org=pEntity->v.origin;
						vmin.x=-1;
						vmin.y=-1;
						vmin.z=-1;
						vmax.x=1;
						vmax.y=1;
						vmax.z=1;
						EntityOrigin(x,y,z);
						sprintf(origin,"%d %d %d",x,y,z);
						e=(epair_t *)malloc(sizeof(epair_t));
						memset(e, 0, sizeof(epair_t));
						e->key=copystring("origin");
						e->value=copystring(origin);
						e->next=mapent->epairs;
						mapent->epairs=e;
						ShowEntity(mapent);
					}
					if(strcmp(arg2,"search")==0)
					{
						edict_t *pent=NULL;
						while((pent=UTIL_FindEntityByClassname(pent, arg3))!=NULL)
						{
							EntityOrigin(pent->v.origin.x,pent->v.origin.y,pent->v.origin.z);
						}
					}
					else //key value
					{
						e=mapent->epairs;
						if(!e)return false;
						bkey=false;
						while(e)
						{
							if(strcmp(e->key,arg2)==0)
							{
								bkey=true;
								break;
							}
							e=e->next;
						}
						if(bkey)
						{
							e->value=copystring((char *)arg3);
						}
						else
						{
							e=(epair_t *)malloc(sizeof(epair_t));
							memset(e, 0, sizeof(epair_t));
							e->key=copystring((char *)arg2);
							e->value=copystring((char *)arg3);
							e->next=mapent->epairs;
							mapent->epairs=e;
						}
						ShowEntity(mapent);
					}
				}
				else if(strcmp(arg2, "origin") == 0)
				{
					e=mapent->epairs;
					if(!e)return false;
					char origin[20];
					int x=pEntity->v.origin.x,y=pEntity->v.origin.y,z=pEntity->v.origin.z;
					org=pEntity->v.origin;
					vmin.x=-1;
					vmin.y=-1;
					vmin.z=-1;
					vmax.x=1;
					vmax.y=1;
					vmax.z=1;
					EntityOrigin(x,y,z);
					sprintf(origin,"%d %d %d",x,y,z);
					bkey = false;
					while(e)
					{
						if(strcmp(e->key,"origin")==0)
						{
							bkey=true;
							break;
						}
						e=e->next;
					}
					if(bkey)
					{
						e->value=copystring(origin);
					}
					else
					{
						e=(epair_t *)malloc(sizeof(epair_t));
						memset(e, 0, sizeof(epair_t));
						e->key=copystring("origin");
						e->value=copystring(origin);
						e->next=mapent->epairs;
						mapent->epairs=e;
					}
					ShowEntity(mapent);
				}
				else if(strcmp(arg2,"angles") == 0)
				{
					e=mapent->epairs;
					if(!e)return false;
					char angles[20];
					int x=pEntity->v.angles.x,y=pEntity->v.angles.y,z=pEntity->v.angles.z;
					sprintf(angles,"%d %d %d",x,y,z);
					bkey=false;
					while(e)
					{
						if(strcmp(e->key,"angles")==0)
						{
							bkey=true;
							break;
						}
						e=e->next;
					}
					if(bkey)
					{
						e->value=copystring(angles);
					}
					else
					{
						e=(epair_t *)malloc(sizeof(epair_t));
						memset(e, 0, sizeof(epair_t));
						e->key=copystring("angles");
						e->value=copystring(angles);
						e->next=mapent->epairs;
						mapent->epairs=e;
					}
					ShowEntity(mapent);
				}
				else if(strcmp(arg2,"maxs")==0)
				{
					e=mapent->epairs;
					if(!e)return false;
					char maxs[20];
					vmax=pEntity->v.origin-org;
					if(vmax.x<0)vmax.x=-vmax.x;
					if(vmax.y<0)vmax.y=-vmax.y;
					if(vmax.z<0)vmax.x=-vmax.z;
					int x=vmax.x,y=vmax.y,z=vmax.z;
					EntityBox(vmin, vmax, org);
					sprintf(maxs,"%d %d %d",x,y,z);
					bkey=false;
					while(e)
					{
						if(strcmp(e->key,"maxs")==0)
						{
							bkey=true;
							break;
						}
						e=e->next;
					}
					if(bkey)
					{
						e->value=copystring(maxs);
					}
					else
					{
						e=(epair_t *)malloc(sizeof(epair_t));
						memset(e, 0, sizeof(epair_t));
						e->key=copystring("maxs");
						e->value=copystring(maxs);
						e->next=mapent->epairs;
						mapent->epairs=e;
					}
					ShowEntity(mapent);
				}
				else if(strcmp(arg2,"mins") == 0)
				{
					e=mapent->epairs;
					if(!e)return false;
					char mins[20];
					vmin=pEntity->v.origin-org;
					if(vmin.x>0)vmin.x=-vmin.x;
					if(vmin.y>0)vmin.y=-vmin.y;
					if(vmin.z>0)vmin.x=-vmin.z;
					int x=vmin.x,y=vmin.y,z=vmin.z;
					EntityBox(vmin, vmax, org);
					sprintf(mins,"%d %d %d",x,y,z);
					bkey=false;
					while(e)
					{
						if(strcmp(e->key,"mins")==0)
						{
							bkey=true;
							break;
						}
						e=e->next;
					}
					if(bkey)
					{
						e->value=copystring(mins);
					}
					else
					{
						e=(epair_t *)malloc(sizeof(epair_t));
						memset(e, 0, sizeof(epair_t));
						e->key=copystring("mins");
						e->value=copystring(mins);
						e->next=mapent->epairs;
						mapent->epairs=e;
					}
					ShowEntity(mapent);
				}
				else if(strcmp(arg2,"add") == 0)
				{
					e=mapent->epairs;
					if(!e)return false;
					//save
					char game_dir[256];
					(*g_engfuncs.pfnGetGameDir)(game_dir);
					char filename[256];
					sprintf(filename,"%s/maps/%s.addent", game_dir, STRING(gpGlobals->mapname));
					static FILE *fp;
					fp = fopen(filename,"a");
					if(fp)
					{
						fprintf(fp,"{\n");
						while(e)
						{
							fprintf(fp,"\"%s\" \"%s\"\n",e->key,e->value);
							e=e->next;
						}
						fprintf(fp,"}\n");
						fclose(fp);
					}
					ShowEntity(mapent);
					num_entities++;
					mapent->index=AddEntity(mapent);
				}
				else if(strcmp(arg2,"delete")==0)
				{
					e=mapent->epairs;
					if(!e)return false;
					while(e)
					{
						mapent->epairs=e->next;
						if(e->key&&e->key!=NULL)free(e->key);
						if(e->value&&e->value!=NULL)free(e->value);
						if(e&&e!=NULL)free(e);
						e=0;
						e=mapent->epairs;
					}
					ShowEntity(mapent);
				}
			}
		}
	}
#endif
	return false;
}

/*
#ifndef __linux__
  #include <winsock.h>      // Needed for all Winsock stuff
#else
  #include <sys/types.h>       // Needed for system defined identifiers.
  #include <netinet/in.h>      // Needed for internet address structure.
  #include <arpa/inet.h>       // Needed for "inet_ntoa".
  #include <sys/socket.h>      // Needed for socket(), bind(), etc...
  #include <fcntl.h>
  #include <netdb.h>           // Need for gethostbyaddr().
#endif


void UTIL_GetHostName(char *ip_address)
{
	if(strcmp(ip_address, "loopback")==0)return;
	char *p=strchr(ip_address,':');
	if(p)*p='\0';

	struct hostent  *host;                // Structure for gethostbyaddr()
	struct in_addr  *myaddr;              // Structure for Internetaddress	

	
	myaddr=(struct in_addr*)malloc(sizeof(struct in_addr));
	myaddr->s_addr=inet_addr(ip_address) ;
	
	// Do a gethostbyaddr() to get a pointer to struct host
	host = gethostbyaddr((char *) myaddr, 4 ,AF_INET);
	
	// Output host name if host found
	if(host)strcpy(ip_address, host->h_name);

	if(myaddr&&myaddr!=NULL)free(myaddr);
}
*/