//
// HPB_bot - botman's High Ping Bastard bot
//
// (http://planethalflife.com/botman/)
//
// engine.h
//

#ifndef ENGINE_H
#define ENGINE_H


void pfnSetModel( edict_t *e, const char *m );

edict_t* pfnFindEntityByString( edict_t *pEdictStartSearchAfter, const char *pszField, const char *pszValue );
edict_t* pfnCreateNamedEntity( int className );
void pfnEmitSound( edict_t *entity, int channel, const char *sample, /*int*/float volume, float attenuation, int fFlags, int pitch );
void pfnTraceLine( const float *v1, const float *v2, int fNoMonsters, edict_t *pentToSkip, TraceResult *ptr );

void pfnMessageBegin( int msg_dest, int msg_type, const float *pOrigin, edict_t *ed );
void pfnMessageEnd( void );
void pfnWriteByte( int iValue );
void pfnWriteChar( int iValue );
void pfnWriteShort( int iValue );
void pfnWriteLong( int iValue );
void pfnWriteAngle( float flValue );
void pfnWriteCoord( float flValue );
void pfnWriteString( const char *sz );
void pfnWriteEntity( int iValue );

void pfnCVarSetFloat( const char *szVarName, float flValue );


void pfnAlertMessage( ALERT_TYPE atype, char *szFmt, ... );


int pfnRegUserMsg( const char *pszName, int iSize );

void pfnSetClientKeyValue( int clientIndex, char *infobuffer, char *key, char *value );

#endif // ENGINE_H

