/*	
	Implemetation of AXN .rement/.addent functonality

	rev: 1.05
*/
//-----------------------------------------------------------------------------
#ifndef ENTITY_H
#define ENTITY_H
//-----------------------------------------------------------------------------
#define MAX_MAP_ENTITIES 1024
#define MAX_REMOVE_ENTITIES 200

typedef struct
{
	epair_t *epairs;
	int index;
} entity_t;

extern int 
	num_entities,
	num_rements;
extern char *rements[MAX_REMOVE_ENTITIES];
extern entity_t entities[MAX_MAP_ENTITIES];
extern hudtextparms_t ent_tparms;

char *_strlwr(char *src);
bool ParseEntity(void);
void Precache(entity_t *ent);
void RemoveEntities();
void EntityOrigin(int x,int y,int z);
void EntityBox(Vector mins, Vector maxs, Vector origin);
void ShowEntity(entity_t *ent);
int AddEntity(entity_t *ent);
void LoadEntities();
//-----------------------------------------------------------------------------
#endif
